Page MenuHomePhabricator

Expose new PCS JSON endpoints via RESTBase
Closed, ResolvedPublic

Description

Expose the new PCS /page/media endpoint via RESTBase.

  • Reading Infrastructure to create PRs for these.
  • No storage or pregeneration is needed at this time (but will come later).
  • /page/media
  • /page/metadata
  • /page/references

More info about the new PCS endpoints.

Event Timeline

bearND triaged this task as Normal priority.Mar 14 2018, 9:43 PM
bearND created this task.
Pchelolo moved this task from Backlog to watching on the Services board.Mar 15 2018, 1:47 PM
Pchelolo edited projects, added Services (watching); removed Services.
Pchelolo updated the task description. (Show Details)Mar 15 2018, 6:56 PM
Pchelolo closed this task as Resolved.Mar 22 2018, 6:12 PM
Pchelolo claimed this task.
Pchelolo updated the task description. (Show Details)
Pchelolo edited projects, added Services (done); removed Services (watching).
Pchelolo added a subscriber: Pchelolo.

All endpoints mentioned in the task are live in production.